Used to get a contact
The response fields marked with Gateway are only available on gateway accounts and only for users with the VIEW_REGISTRY_ACCOUNT permission.
| Name | Type | Required / Optional | Description | Restrictions |
|---|---|---|---|---|
| fields | String | Optional | Select fields to include in the response, comma separated list of field names. Requesting only the needed fields improves response time, especially when omitting relation fields. Identifying field(s) are always included. |
|
| Name | Type | Required / Optional | Description |
|---|---|---|---|
| customer | String | Required | The customer handle |
| handle | String | Required | The contact handle |
| brand | String | Required | The brand |
| organization | String | Optional | The name of the organization |
| name | String | Required | The name of the person |
| addressLine | List <String> | Required | The address lines |
| postalCode | String | Required | Postal code |
| city | String | Required | The city |
| state | String | Optional | The state |
| country | String | Required | The ISO 3166-1 alpha2 country code |
| String | Required | The email address | |
| voice | String | Required | The voice telephone number |
| fax | String | Optional | The fax telephone number |
| registries | List <String> | Optional | List of registries the contact exists at |
| properties | Map <String, Map <String, String>> | Optional | Contact registry properties, nested map of registry and the contact properties for that registry |
| createdDate | Timestamp | Required | The date the contact was created |
| updatedDate | Timestamp | Optional | The date the contact was last updated |
| disclosedFields | List <Enum> | Optional |
List of fields disclosed (in RDAP) where this contact is used for a domain. Country and state are allways publicly available.
Possible values:
|
| validations | List < validations > | Optional | Categories the contact has validated |
| registryAccounts | List < registryAccounts > | Optional | Gateway The associated contact objects at registries |
| verifications | List < verifications > | Optional | CONTACT_VERIFICATION Verifications performed for this contact |
| Name | Type | Required / Optional | Description |
|---|---|---|---|
| registry | String | Required | The registry |
| registryAccount | String | Required | The registry account |
| id | String | Required | The contact ID at the registry |
| authCode | String | Optional | The auth code of the contact name |
| roid | String | Optional | The registry Repository Object Identifier |
| intendedUsage | List <Enum> | Optional |
The allowed usages for this contact
Possible values:
|
| Name | Type | Required / Optional | Description |
|---|---|---|---|
| verificationDate | Timestamp | Required | The date the contact has been verified |
| method | Enum | Required |
The verification method
Possible values:
|
| proof | Enum | Required |
The verification proof
Possible values:
|
| externalId | String | Required | The ID of the verification at the external provider |
| claims | List <Enum> | Required |
Set of claims that are made with this verification
Possible values:
|
| createdDate | Timestamp | Required | The date the verification was created |
| updatedDate | Timestamp | Optional | The date the verification was last updated |
Generic errors can be expected.
GET /v2/customers/customer/contacts/handle